Cyberduck Mountain Duck CLI

#8135 closed defect (fixed)

Crash when dragging an XML file from Tincta to Cyberduck

Reported by: jhawkzz Owned by: dkocher
Priority: normal Milestone: 4.5.2
Component: core Version: 4.5.1
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.9

Description

100% Reproducible crash with Cyberduck when dragging an XML file from Tincta's file browser onto Cyberduck.

Repro Steps:

  1. Install Tincta Free edition from the Mac App Store.
  2. Open an XML file with Tincta
  3. Log in to an FTP site with Cyberduck.
  4. Drag the XML file from Tincta's file browser onto Cyberduck.

Attached is a crash dump and screenshot of the setup to reproduce this crash.

Notes: This does not happen with files that have a .txt extension or no extension.

Attachments (2)

Cyberduck_CrashDump (109.9 KB) - added by jhawkzz on Aug 1, 2014 at 5:07:24 PM.
Screen Shot 2014-08-01 at 10.02.09 AM (2).png (680.0 KB) - added by jhawkzz on Aug 1, 2014 at 5:11:42 PM.

Download all attachments as: .zip

Change History (5)

Changed on Aug 1, 2014 at 5:07:24 PM by jhawkzz

comment:1 Changed on Aug 3, 2014 at 4:11:00 PM by dkocher

  • Component changed from ftp to core
  • Milestone set to 4.5.2
  • Owner changed from Jered to dkocher
  • Status changed from new to assigned

comment:2 Changed on Aug 3, 2014 at 6:09:19 PM by dkocher

The NSPasteboard usually contains an array of elements for a given pasteboard type (Apple URL pasteboard type in this case) but Tincta only puts a single item.

comment:3 Changed on Aug 3, 2014 at 7:15:38 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r14965. Add type checks when reading items from pasteboard.

Note: See TracTickets for help on using tickets.